ranges::v3::tuple_transform_fn Struct Reference
Utility

## Public Member Functions

template<typename Tup , typename Fun >
auto | operator() (Tup &&tup, Fun fun) const noexcept(noexcept(decltype(tuple_transform_fn::impl1(static_cast< Tup &&>(tup), fun, tuple_indices_t< Tup >{}))(tuple_transform_fn::impl1(static_cast< Tup &&>(tup), fun, tuple_indices_t< Tup >{})))) -> decltype(tuple_transform_fn::impl1(static_cast< Tup &&>(tup), fun, tuple_indices_t< Tup >
template<typename Tup0 , typename Tup1 , typename Fun >

auto

operator() (Tup0 &&tup0, Tup1 &&tup1, Fun fun) const noexcept(noexcept(decltype(tuple_transform_fn::impl2(static_cast< Tup0 &&>(tup0), static_cast< Tup1 &&>(tup1), fun, tuple_indices_t< Tup0 >{}))(tuple_transform_fn::impl2(static_cast< Tup0 &&>(tup0), static_cast< Tup1 &&>(tup1), fun, tuple_indices_t< Tup0 >{})))) -> decltype(tuple_transform_fn::impl2(static_cast< Tup0 &&>(tup0), static_cast< Tup1 &&>(tup1), fun, tuple_indices_t< Tup0 >